import { NgtCommonLight, provideCommonLightRef, coerceNumberProperty } from '@angular-three/core';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as THREE from 'three';

// GENERATED
class NgtLightProbe extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set sh(sh) {
        this.set({ sh });
    }
    get lightType() {
        return THREE.LightProbe;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { sh: true });
    }
}
NgtLightProbe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtLightProbe, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtLightProbe.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtLightProbe, selector: "ngt-light-probe", inputs: { args: "args", sh: "sh" }, providers: [provideCommonLightRef(NgtLightProbe)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtLightProbe, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-light-probe',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtLightProbe)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], sh: [{
                type: Input
            }] } });
class NgtLightProbeModule {
}
NgtLightProbeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtLightProbeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtLightProbeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtLightProbeModule, declarations: [NgtLightProbe], exports: [NgtLightProbe] });
NgtLightProbeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtLightProbeModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtLightProbeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtLightProbe],
                    exports: [NgtLightProbe],
                }]
        }] });

// GENERATED
class NgtAmbientLight extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    get lightType() {
        return THREE.AmbientLight;
    }
}
NgtAmbientLight.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLight, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtAmbientLight.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtAmbientLight, selector: "ngt-ambient-light", inputs: { args: "args" }, providers: [provideCommonLightRef(NgtAmbientLight)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLight, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-ambient-light',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtAmbientLight)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });
class NgtAmbientLightModule {
}
NgtAmbientLightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtAmbientLightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightModule, declarations: [NgtAmbientLight], exports: [NgtAmbientLight] });
NgtAmbientLightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtAmbientLight],
                    exports: [NgtAmbientLight],
                }]
        }] });

// GENERATED
class NgtAmbientLightProbe extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    get lightType() {
        return THREE.AmbientLightProbe;
    }
}
NgtAmbientLightProbe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightProbe, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtAmbientLightProbe.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtAmbientLightProbe, selector: "ngt-ambient-light-probe", inputs: { args: "args" }, providers: [provideCommonLightRef(NgtAmbientLightProbe)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightProbe, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-ambient-light-probe',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtAmbientLightProbe)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });
class NgtAmbientLightProbeModule {
}
NgtAmbientLightProbeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightProbeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtAmbientLightProbeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightProbeModule, declarations: [NgtAmbientLightProbe], exports: [NgtAmbientLightProbe] });
NgtAmbientLightProbeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightProbeModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtAmbientLightProbeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtAmbientLightProbe],
                    exports: [NgtAmbientLightProbe],
                }]
        }] });

// GENERATED
class NgtHemisphereLight extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set skyColor(skyColor) {
        this.set({ skyColor });
    }
    set groundColor(groundColor) {
        this.set({ groundColor });
    }
    get lightType() {
        return THREE.HemisphereLight;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { skyColor: true, groundColor: true });
    }
}
NgtHemisphereLight.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLight, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtHemisphereLight.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtHemisphereLight, selector: "ngt-hemisphere-light", inputs: { args: "args", skyColor: "skyColor", groundColor: "groundColor" }, providers: [provideCommonLightRef(NgtHemisphereLight)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLight, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-hemisphere-light',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtHemisphereLight)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], skyColor: [{
                type: Input
            }], groundColor: [{
                type: Input
            }] } });
class NgtHemisphereLightModule {
}
NgtHemisphereLightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtHemisphereLightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightModule, declarations: [NgtHemisphereLight], exports: [NgtHemisphereLight] });
NgtHemisphereLightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtHemisphereLight],
                    exports: [NgtHemisphereLight],
                }]
        }] });

// GENERATED
class NgtHemisphereLightProbe extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set skyColor(skyColor) {
        this.set({ skyColor });
    }
    set groundColor(groundColor) {
        this.set({ groundColor });
    }
    get lightType() {
        return THREE.HemisphereLightProbe;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { skyColor: true, groundColor: true });
    }
}
NgtHemisphereLightProbe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightProbe, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtHemisphereLightProbe.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtHemisphereLightProbe, selector: "ngt-hemisphere-light-probe", inputs: { args: "args", skyColor: "skyColor", groundColor: "groundColor" }, providers: [provideCommonLightRef(NgtHemisphereLightProbe)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightProbe, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-hemisphere-light-probe',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtHemisphereLightProbe)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], skyColor: [{
                type: Input
            }], groundColor: [{
                type: Input
            }] } });
class NgtHemisphereLightProbeModule {
}
NgtHemisphereLightProbeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightProbeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtHemisphereLightProbeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightProbeModule, declarations: [NgtHemisphereLightProbe], exports: [NgtHemisphereLightProbe] });
NgtHemisphereLightProbeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightProbeModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtHemisphereLightProbeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtHemisphereLightProbe],
                    exports: [NgtHemisphereLightProbe],
                }]
        }] });

// GENERATED
class NgtDirectionalLight extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set target(target) {
        this.set({ target });
    }
    get lightType() {
        return THREE.DirectionalLight;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { target: true });
    }
}
NgtDirectionalLight.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtDirectionalLight, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtDirectionalLight.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtDirectionalLight, selector: "ngt-directional-light", inputs: { args: "args", target: "target" }, providers: [provideCommonLightRef(NgtDirectionalLight)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtDirectionalLight, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-directional-light',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtDirectionalLight)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], target: [{
                type: Input
            }] } });
class NgtDirectionalLightModule {
}
NgtDirectionalLightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtDirectionalLightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtDirectionalLightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtDirectionalLightModule, declarations: [NgtDirectionalLight], exports: [NgtDirectionalLight] });
NgtDirectionalLightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtDirectionalLightModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtDirectionalLightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtDirectionalLight],
                    exports: [NgtDirectionalLight],
                }]
        }] });

// GENERATED
class NgtPointLight extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set distance(distance) {
        this.set({ distance: coerceNumberProperty(distance) });
    }
    set decay(decay) {
        this.set({ decay: coerceNumberProperty(decay) });
    }
    set power(power) {
        this.set({ power: coerceNumberProperty(power) });
    }
    get lightType() {
        return THREE.PointLight;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { distance: true, decay: true, power: true });
    }
}
NgtPointLight.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtPointLight, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtPointLight.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtPointLight, selector: "ngt-point-light", inputs: { args: "args", distance: "distance", decay: "decay", power: "power" }, providers: [provideCommonLightRef(NgtPointLight)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtPointLight, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-point-light',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtPointLight)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], distance: [{
                type: Input
            }], decay: [{
                type: Input
            }], power: [{
                type: Input
            }] } });
class NgtPointLightModule {
}
NgtPointLightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtPointLightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtPointLightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtPointLightModule, declarations: [NgtPointLight], exports: [NgtPointLight] });
NgtPointLightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtPointLightModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtPointLightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtPointLight],
                    exports: [NgtPointLight],
                }]
        }] });

// GENERATED
class NgtSpotLight extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set distance(distance) {
        this.set({ distance: coerceNumberProperty(distance) });
    }
    set angle(angle) {
        this.set({ angle: coerceNumberProperty(angle) });
    }
    set penumbra(penumbra) {
        this.set({ penumbra: coerceNumberProperty(penumbra) });
    }
    set decay(decay) {
        this.set({ decay: coerceNumberProperty(decay) });
    }
    set target(target) {
        this.set({ target });
    }
    set power(power) {
        this.set({ power: coerceNumberProperty(power) });
    }
    get lightType() {
        return THREE.SpotLight;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { distance: true, angle: true, penumbra: true, decay: true, target: true, power: true });
    }
}
NgtSpotLight.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtSpotLight, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtSpotLight.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtSpotLight, selector: "ngt-spot-light", inputs: { args: "args", distance: "distance", angle: "angle", penumbra: "penumbra", decay: "decay", target: "target", power: "power" }, providers: [provideCommonLightRef(NgtSpotLight)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtSpotLight, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-spot-light',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtSpotLight)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], distance: [{
                type: Input
            }], angle: [{
                type: Input
            }], penumbra: [{
                type: Input
            }], decay: [{
                type: Input
            }], target: [{
                type: Input
            }], power: [{
                type: Input
            }] } });
class NgtSpotLightModule {
}
NgtSpotLightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtSpotLightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtSpotLightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtSpotLightModule, declarations: [NgtSpotLight], exports: [NgtSpotLight] });
NgtSpotLightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtSpotLightModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtSpotLightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtSpotLight],
                    exports: [NgtSpotLight],
                }]
        }] });

// GENERATED
class NgtRectAreaLight extends NgtCommonLight {
    set args(v) {
        this.instanceArgs = v;
    }
    set width(width) {
        this.set({ width: coerceNumberProperty(width) });
    }
    set height(height) {
        this.set({ height: coerceNumberProperty(height) });
    }
    set power(power) {
        this.set({ power: coerceNumberProperty(power) });
    }
    get lightType() {
        return THREE.RectAreaLight;
    }
    get optionFields() {
        return Object.assign(Object.assign({}, super.optionFields), { width: true, height: true, power: true });
    }
}
NgtRectAreaLight.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtRectAreaLight, deps: null, target: i0.ɵɵFactoryTarget.Component });
NgtRectAreaLight.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.3", type: NgtRectAreaLight, selector: "ngt-rect-area-light", inputs: { args: "args", width: "width", height: "height", power: "power" }, providers: [provideCommonLightRef(NgtRectAreaLight)], usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtRectAreaLight, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngt-rect-area-light',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [provideCommonLightRef(NgtRectAreaLight)],
                }]
        }], propDecorators: { args: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], power: [{
                type: Input
            }] } });
class NgtRectAreaLightModule {
}
NgtRectAreaLightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtRectAreaLightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtRectAreaLightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtRectAreaLightModule, declarations: [NgtRectAreaLight], exports: [NgtRectAreaLight] });
NgtRectAreaLightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtRectAreaLightModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.3", ngImport: i0, type: NgtRectAreaLightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtRectAreaLight],
                    exports: [NgtRectAreaLight],
                }]
        }] });

//GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { NgtAmbientLight, NgtAmbientLightModule, NgtAmbientLightProbe, NgtAmbientLightProbeModule, NgtDirectionalLight, NgtDirectionalLightModule, NgtHemisphereLight, NgtHemisphereLightModule, NgtHemisphereLightProbe, NgtHemisphereLightProbeModule, NgtLightProbe, NgtLightProbeModule, NgtPointLight, NgtPointLightModule, NgtRectAreaLight, NgtRectAreaLightModule, NgtSpotLight, NgtSpotLightModule };
//# sourceMappingURL=angular-three-core-lights.mjs.map
